NullSid Class Reference

`#include <NullSid.h>`

Inheritance diagram for NullSid:

## Public Member Functions

void | reset (uint8_t)
void | write (uint_least8_t, uint8_t)
uint8_t | read (uint_least8_t)
Public Member Functions inherited from c64sid
void | reset ()
void | poke (uint_least16_t address, uint8_t value)
uint8_t | peek (uint_least16_t address)

## Static Public Member Functions

static NullSid * | getInstance ()

## Additional Inherited Members

## Detailed Description

SID chip placeholder which does nothing and returns 0xff on reading.

## Member Function Documentation

static NullSid* NullSid::getInstance | ( |  | ) |

inline static

Returns singleton instance.

The documentation for this class was generated from the following file:

- NullSid.h